Package org.apache.sling.query.impl.resource.jcr

## Class SessionJcrTypeResolver

- java.lang.Object
- - org.apache.sling.query.impl.resource.jcr.SessionJcrTypeResolver

All Implemented Interfaces:
  `JcrTypeResolver`

    public class SessionJcrTypeResolver
    extends Object
    implements JcrTypeResolver

### Constructor Summary

Constructors
`SessionJcrTypeResolver​(org.apache.sling.api.resource.ResourceResolver resolver)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isJcrType​(String name)`
`boolean` `isSubtype​(String supertype, String subtype)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SessionJcrTypeResolver

    public SessionJcrTypeResolver​(org.apache.sling.api.resource.ResourceResolver resolver)

### Method Detail

#### isJcrType

    public boolean isJcrType​(String name)

Specified by:
  `isJcrType` in interface `JcrTypeResolver`

#### isSubtype

    public boolean isSubtype​(String supertype,
                             String subtype)

Specified by:
  `isSubtype` in interface `JcrTypeResolver`